package com.gree.mall.manager.bean.material.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
@ApiModel(value="PurchaseCategoryBean对象", description="月度辅材采购类别")
public class PurchaseCategoryBean {
    @ApiModelProperty(value = "年月")
    private String yearMonth;
    @ApiModelProperty(value = "网点编号")
    private String websitId;
    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ApiModelProperty(value = "铜管")
    private BigDecimal tgQty = new BigDecimal("0");
    @ApiModelProperty(value = "铜管总价")
    private BigDecimal tgVal = new BigDecimal("0");
    @ApiModelProperty(value = "保温棉")
    private BigDecimal bwmQty = new BigDecimal("0");
    @ApiModelProperty(value = "保温棉总价")
    private BigDecimal bwmVal = new BigDecimal("0");
    @ApiModelProperty(value = "电缆")
    private BigDecimal dlQty = new BigDecimal("0");
    @ApiModelProperty(value = "电缆总价")
    private BigDecimal dlVal = new BigDecimal("0");
    @ApiModelProperty(value = "支架")
    private BigDecimal zjQty = new BigDecimal("0");
    @ApiModelProperty(value = "支架总价")
    private BigDecimal zjVal = new BigDecimal("0");
    @ApiModelProperty(value = "冷媒")
    private BigDecimal lmQty = new BigDecimal("0");
    @ApiModelProperty(value = "冷媒总价")
    private BigDecimal lmVal = new BigDecimal("0");
    @ApiModelProperty(value = "五金")
    private BigDecimal wjQty = new BigDecimal("0");
    @ApiModelProperty(value = "五金总价")
    private BigDecimal wjVal = new BigDecimal("0");
    @ApiModelProperty(value = "其它")
    private BigDecimal jtQty = new BigDecimal("0");
    @ApiModelProperty(value = "其它总价")
    private BigDecimal jtVal = new BigDecimal("0");
    @ApiModelProperty(value = "开关")
    private BigDecimal kgQty = new BigDecimal("0");
    @ApiModelProperty(value = "开关总价")
    private BigDecimal kgVal = new BigDecimal("0");
    @ApiModelProperty(value = "包扎带")
    private BigDecimal bzdQty = new BigDecimal("0");
    @ApiModelProperty(value = "包扎带总价")
    private BigDecimal bzdVal = new BigDecimal("0");
    @ApiModelProperty(value = "连接器")
    private BigDecimal ljqQty = new BigDecimal("0");
    @ApiModelProperty(value = "连接器总价")
    private BigDecimal ljqVal = new BigDecimal("0");
    @ApiModelProperty(value = "双壁热缩套管")
    private BigDecimal rsgQty = new BigDecimal("0");
    @ApiModelProperty(value = "双壁热缩套管总价")
    private BigDecimal rsgVal = new BigDecimal("0");
    @ApiModelProperty(value = "清洗工具")
    private BigDecimal qxggQty = new BigDecimal("0");
    @ApiModelProperty(value = "清洗工具总价")
    private BigDecimal qxggVal = new BigDecimal("0");
    @ApiModelProperty(value = "管槽")
    private BigDecimal gcQty = new BigDecimal("0");
    @ApiModelProperty(value = "管槽总价")
    private BigDecimal gcVal = new BigDecimal("0");
    @ApiModelProperty(value = "热水器")
    private BigDecimal ysqQty = new BigDecimal("0");
    @ApiModelProperty(value = "热水器总价")
    private BigDecimal ysqVal = new BigDecimal("0");
    @ApiModelProperty(value = "上月库存金额")
    private BigDecimal lastMonthVal = new BigDecimal("0");
}
